%define upstream_name    Mojolicious-Plugin-ClientIP
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get client's IP address from X-Forwarded-For
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Mojolicious::Plugin::ClientIP is a Mojolicious plugin to get an IP address
looks like client, not proxy, from X-Forwarded-For header.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-3.mga10
+ Revision: 2209701
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.20.0-2.mga9
+ Revision: 1820543
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 guillomovitch <guillomovitch> 0.20.0-1.mga8
+ Revision: 1670077
- imported package perl-Mojolicious-Plugin-ClientIP


* Sat Jan 09 2021 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
